Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WTCtBridgeRedirectMBean

public interface WTCtBridgeRedirectMBean
extends ConfigurationMBean

This interface provides access to the WTC tBridge Redirect configuration attributes. The methods defined herein are applicable for tBridge configuration at the WLS domain level.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getDirection()`
`java.lang.String` | `getMetaDataFile()`
`java.lang.String` | `getReplyQ()`
`java.lang.String` | `getSourceAccessPoint()`
`java.lang.String` | `getSourceName()`
`java.lang.String` | `getSourceQspace()`
`java.lang.String` | `getTargetAccessPoint()`
`java.lang.String` | `getTargetName()`
`java.lang.String` | `getTargetQspace()`
`java.lang.String` | `getTranslateFML()`
`void` | `setDirection(java.lang.String Direction)` Defines the direction of data flow.
`void` | `setMetaDataFile(java.lang.String MetaDataFile)` Defines the name of the metadataFile URL used to passed to the call WLXT.
`void` | `setReplyQ(java.lang.String ReplyQ)` Defines the name of the JMS queue used specifically for synchronous calls to a TUXEDO service.
`void` | `setSourceAccessPoint(java.lang.String SourceAccessPoint)` Defines the name of the local or remote access point where the source is located.
`void` | `setSourceName(java.lang.String SourceName)` Defines the name of a source queue or service.
`void` | `setSourceQspace(java.lang.String SourceQspace)` Defines the name of the Qspace for a source location.
`void` | `setTargetAccessPoint(java.lang.String TargetAccessPoint)` Defines the name of the local or remote access point where the target is located.
`void` | `setTargetName(java.lang.String TargetName)` Defines a target queue or service.
`void` | `setTargetQspace(java.lang.String TargetQspace)` Defines the name of the Qspace for a target location.
`void` | `setTranslateFML(java.lang.String TranslateFML)` Defines the type of XMl/FML translation.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setDirection

    public void setDirection(java.lang.String Direction)
                      throws javax.management.InvalidAttributeValueException

  Defines the direction of data flow. Each defined direction is handled by starting a new thread. At least one redirection must be specified in the tBridge configuration or the tBridge will fail to start and an error will be logged.

  Redirection keywords:

  - JmsQ2TuxQ - From JMS to TUXEDO /Q
  - TuxQ2JmsQ - From TUXEDO /Q to JMS
  - JmsQ2TuxS - From JMS to TUXEDO Service reply to JMS
  - JmsQ2JmsQ - From JMS to JMS

  Legal NULL: false
  Legal Values: "JmsQ2TuxQ","TuxQ2JmsQ","JmsQ2TuxS","JmsQ2JmsQ"
  Parameters:
    `Direction` - the name of this FML field table class

### getDirection

    public java.lang.String getDirection()

### setTranslateFML

    public void setTranslateFML(java.lang.String TranslateFML)
                         throws javax.management.InvalidAttributeValueException

  Defines the type of XMl/FML translation.

  - NO: No data translation is performed. `TextMessage` maps into STRING and vice versa depending on the direction of transfer. `BytesMessage` maps into CARRAY and vice versa. All other data types cause the redirection to fail.
  - FLAT: The message payload is transformed using the WebLogic Tuxedo Connector translator.
  - WLXT: Translation performed by the XML-to-non-XML WebLogic XML Translator (WLXT).

  Note: WLXT is not supported for this release.

  Default Value: "NO"
  Legal Values: "NO","FLAT","WLXT"
  Parameters:
    `TranslateFML` - the mode for translating FML if desired.

### getTranslateFML

    public java.lang.String getTranslateFML()

### setMetaDataFile

    public void setMetaDataFile(java.lang.String MetaDataFile)
                         throws javax.management.InvalidAttributeValueException

  Defines the name of the metadataFile URL used to passed to the call WLXT.

  Note: Not supported for this release.

  Parameters:
    `MetaDataFile` - the URL for use with the WLXT translate FML mode

### getMetaDataFile

    public java.lang.String getMetaDataFile()

### setReplyQ

    public void setReplyQ(java.lang.String ReplyQ)
                   throws javax.management.InvalidAttributeValueException

  Defines the name of the JMS queue used specifically for synchronous calls to a TUXEDO service. The response is returned to the JMS ReplyQ.

  Parameters:
    `ReplyQ` - the URL for use with the WLXT translate FML mode

### getReplyQ

    public java.lang.String getReplyQ()

### setSourceAccessPoint

    public void setSourceAccessPoint(java.lang.String SourceAccessPoint)
                              throws javax.management.InvalidAttributeValueException

  Defines the name of the local or remote access point where the source is located.

  Parameters:
    `SourceAccessPoint` - local or remote TuxDom name

### getSourceAccessPoint

    public java.lang.String getSourceAccessPoint()

### setSourceQspace

    public void setSourceQspace(java.lang.String SourceQspace)
                         throws javax.management.InvalidAttributeValueException

  Defines the name of the Qspace for a source location.

  Parameters:
    `SourceQspace` - Tuxedo Qspace for the source

### getSourceQspace

    public java.lang.String getSourceQspace()

### setSourceName

    public void setSourceName(java.lang.String SourceName)
                       throws javax.management.InvalidAttributeValueException

  Defines the name of a source queue or service. Specify a JMS queue name, a TUXEDO queue name, or the name of a TUXEDO service.

  Legal NULL: false
  Parameters:
    `SourceName` - name of the JMS or TUXEDO queue for the source

### getSourceName

    public java.lang.String getSourceName()

### setTargetAccessPoint

    public void setTargetAccessPoint(java.lang.String TargetAccessPoint)
                              throws javax.management.InvalidAttributeValueException

  Defines the name of the local or remote access point where the target is located.

  Parameters:
    `TargetAccessPoint` - local or remote TuxDom name

### getTargetAccessPoint

    public java.lang.String getTargetAccessPoint()

### setTargetQspace

    public void setTargetQspace(java.lang.String TargetQspace)
                         throws javax.management.InvalidAttributeValueException

  Defines the name of the Qspace for a target location.

  Parameters:
    `TargetQspace` - Tuxedo Qspace for the target

### getTargetQspace

    public java.lang.String getTargetQspace()

### setTargetName

    public void setTargetName(java.lang.String TargetName)
                       throws javax.management.InvalidAttributeValueException

  Defines a target queue or service. Specify a JMS queue name, a TUXEDO queue name, or the name of a TUXEDO service.

  Legal NULL: false
  Parameters:
    `TargetName` - name of the JMS or TUXEDO queue for the target

### getTargetName

    public java.lang.String getTargetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference